import org.apache.commons.lang.StringUtils;
import org.junit.Test;
import org.springblade.core.tool.utils.DigestUtil;
import org.springblade.manager.entity.WbsTree;
import org.springframework.util.DigestUtils;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

public class TestDemo {


    @Test
    public void testDemo() {
        String password = "10470c3b4b1fed12c3baac014be15fac67c6e815";
        String s = DigestUtils.md5DigestAsHex(password.getBytes());
        System.out.println(s);
    }

    @Test
    public void testDemo2() {
        String[] ids = {"1", "2", "3"};
        List<WbsTree> idList = new ArrayList<>();
        for (String id : ids) {
            WbsTree wbsTree = new WbsTree();
            wbsTree.setId(Long.valueOf(id));
            idList.add(wbsTree);
        }
        System.out.println(idList);
    }


}
